[
{
    blockid=plugin;
    help=service_smtp_plugin_plugin;
    custom=com.netscape.management.msgserv.StorePluginControl;
    localvar={
	    .headers="\ud56d\ubaa9";
	    .headers.text="\uacbd\ub85c";
	    .headers="\uc635\uc158";
    },
    content=[
	{
	    ctrl=label;
	    text="\ud50c\ub7ec\uadf8 \uc778 \uad6c\uc131";
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=pluginTable;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    columns=$.headers;
	    columns=[
		{
		    header="\ud65c\uc131";
		    editor=boolean;
		    renderer=boolean;
		    width=60;
		},
		{
		    header="\uacbd\ub85c";
		    width=300;
		}
	    ]
	}
    ]
},
{
    blockid=addDialog;
    help=service_smtp_plugin_addDialog;
    localvar={
	    .entry.text="\ud56d\ubaa9:";
	    .path.text="\uacbd\ub85c:";
	    .path.hint="\uacbd\ub85c:";
	    .funcs.text="\uae30\ub2a5:";
	    .funcs.hint="\uae30\ub2a5:";
	    .init.text="\ucd08\uae30\ud654:";
	    .init.hint="\ucd08\uae30\ud654:";
	    .option.text="\uc635\uc158:";
	    .entry.labels=[PostSmtpAccept,PreSmtpDeliver];
	    .title.edit="\ud50c\ub7ec\uadf8 \uc778 \ud56d\ubaa9";
	    .title.add="\ud50c\ub7ec\uadf8 \uc778 \ud56d\ubaa9";
    },
    content=[
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=entrylabel;
		    text=$.entry.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    aligny=0.5;
		    id=entryoption;
		    labels=$.entry.labels;
		    items=$.entry.labels;
		    val=$entry;
		    label=entrychoice;
		},
		{
		    ctrl=hglue;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$path;
		    label=pathlabel;
		    focus = true;
            validate=[com.netscape.management.msgserv.util.ValidAbsolutePath,false];
            errhint=$.path.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=funcslabel;
		    text=$.funcs.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$funcs;
		    label=funcslabel;
            validate=com.netscape.management.msgserv.util.NonemptyString;
            errhint=$.funcs.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    aligny=0.5;
		    id=initlabel;
		    text=$.init.text;
		    wrap=$g.label.size0;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=text;
		    aligny=0.5;
		    val=$init;
		    label=initlabel;
            validate=com.netscape.management.msgserv.util.NonemptyString;
            errhint=$.init.hint;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
        ctrl=pane;
        content=[
	    {
		    ctrl=label;
		    aligny=0.5;
		    id=optionlabel;
		    text=$.option.text;
            wrap=$g.label.size0;
	    },
	    {
		    ctrl=rigid;
	    },
	    {
		    ctrl=text;
		    aligny=0.5;
		    val=$option;
		    label=optionlabel;
	    }
	    ]
    },
  	{
 	    ctrl=label;
   	    wrap=$g.label.size4;
   	}
    ]
}
]
